<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Movie DB</title>
    
    <meta name="title" content="Movie DB">
    <meta name="description" content="Rechercher des informations sur vos films préférés"> 
    <meta property="og:type" content="website">
    <meta property="og:title" content="Movie DB">
    <meta property="og:description" content="Rechercher des informations sur vos films préférés">
    
    <!--link rel="icon" type="image/png" sizes="32x32" href=""-->

    <!--feuille de style-->
    <link rel="stylesheet" href="./assets/css/style.css">
    <!--fonts-->
</head>

<body>
  
  <nav class="navbar navbar-dark bg-dark">
    <a class="navbar-brand d-flex text-info font-weight-bold" href="./index.html">
      <svg width="1.2em" height="1.2em" viewBox="0 0 16 16" class="bi bi-camera-reels" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" d="M2.667 7C2.022 7 1.5 7.522 1.5 8.167v5.666c0 .645.522 1.167 1.167 1.167h6.666c.645 0 1.167-.522 1.167-1.167V8.167C10.5 7.522 9.978 7 9.333 7H2.667zM.5 8.167C.5 6.97 1.47 6 2.667 6h6.666c1.197 0 2.167.97 2.167 2.167v5.666C11.5 15.03 10.53 16 9.333 16H2.667A2.167 2.167 0 0 1 .5 13.833V8.167z"/>
        <path fill-rule="evenodd" d="M11.25 9.15l2.768-1.605a.318.318 0 0 1 .482.263v6.384c0 .228-.26.393-.482.264l-2.767-1.605-.502.865 2.767 1.605c.859.498 1.984-.095 1.984-1.129V7.808c0-1.033-1.125-1.626-1.984-1.128L10.75 8.285l.502.865zM3 5a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm0 1a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
        <path fill-rule="evenodd" d="M9 5a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm0 1a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
      </svg>
      &#160;Movie DB
    </a>  
  </nav>

  <div class="content container bg-white">

    <div itemscope itemtype="http://schema.org/Movie">

      <div class="movie-header d-flex justify-content-between py-4">
        <div>
          <h1 class="my-3"><span id="movie-title" class="text-white" itemprop="name"></span> <span id="movie-year" itemprop="datePublished" class="text-white-50"></span></h1>
          <p class="text-white-50 m-0">
            <span id="movie-duration" itemprop="duration" itemscope itemtype="http://schema.org/Duration"></span> |
            <span id="movie-genre" itemprop="genre"></span> |
            <span id="movie-date" itemprop="datePublished"></span>
          </p>
        </div>
        <div itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating"  class="flex-shrink-0 text-right text-white-50">
          <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-star-fill" fill="rgb(255, 208, 1)" xmlns="http://www.w3.org/2000/svg">
            <path d="M3.612 15.443c-.386.198-.824-.149-.746-.592l.83-4.73L.173 6.765c-.329-.314-.158-.888.283-.95l4.898-.696L7.538.792c.197-.39.73-.39.927 0l2.184 4.327 4.898.696c.441.062.612.636.283.95l-3.523 3.356.83 4.73c.078.443-.36.79-.746.592L8 13.187l-4.389 2.256z"/>
          </svg>  
          <span id="movie-rating" itemprop="ratingValue"  class="text-white"></span><span itemprop="bestRating"> / 10</span><br/> 
          <span id="movie-vote" itemprop="ratingCount"></span> users
        </div>
      </div> <!--fin header-->

      <div id="carouselControls" class="carousel slide" data-ride="carousel">
        <div id="carousel" class="carousel-inner">
          <div class="carousel-item active">
            <img id="carousel-item-1" class="d-block w-100">
          </div>

        <a class="carousel-control-prev" href="#carouselControls" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselControls" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>


      <div class="text-justify">
        <div class="border-bottom p-4">
          <h2 class="text-dark mb-4">Storyline</h2>
          <p id="movie-storyline" itemprop="description"></p>
          <p><span class="font-weight-bold text-dark">Tagline: </span><span id="movie-tagline" class="font-italic"></span></p>
          <p><span class="font-weight-bold text-dark">Keywords: </span><span id="movie-keywords"></span></p>

        </div>

        <div class="border-bottom p-4">
          <h2 class="text-dark mb-4">Details</h2>
          <p itemprop="director" itemscope itemtype="http://schema.org/Person"><span class="font-weight-bold text-dark">Directors: </span><span id="movie-director" itemprop="name"></span></p>
          <p itemprop="author" itemscope itemtype="http://schema.org/Person"><span class="font-weight-bold text-dark">Writers : </span><span id="movie-writer" itemprop="name"></span></p>
          <p><span class="font-weight-bold text-dark">Stars: </span><span id='movie-stars' itemprop="actors"></span><span class="text-info"> | </span><a href=#cast class="text-info">see more</a></p>
          <p><span class="font-weight-bold text-dark">Spoken languages: </span><span id="movie-languages" itemprop="inLanguage"></span></p>
          <p><span class="font-weight-bold text-dark">Genres: </span><span id="movie-genre-2" itemprop="genre"></span></p>
          <p><span class="font-weight-bold text-dark">Duration: </span><span id="movie-duration-2" itemprop="duration" itemscope itemtype="http://schema.org/Duration"></span></p>
          <p><span class="font-weight-bold text-dark">Release Date: </span><span id="movie-date-2" itemprop="datePublished"></span></p>
        </div>

        <div class="border-bottom p-4">
          <h2 id="cast" class="text-dark mb-4">Cast</h2>
          <p>Cast overview, first billed only:</p>
          <div id='movie-cast'></div>
        </div>

        <div class="border-bottom p-4">
          <h2 class="text-dark mb-4">Box office</h2>
          <p><span class="font-weight-bold text-dark">Budget: </span><span id="movie-budget"></span></p>
        </div>

        <div class="p-4">
          <h2 class="text-dark mb-4">Company Credits</h2>
          <div id="movie-cies"></div>
        </div>

        <div class="p-4">
          <h2 class="text-dark mb-4">Recommendations</h2>
          <div class="container">
            <div class="container home-preview px-0 pb-2 my-2">
              <div id="recommandations-container"></div>
            </div>
          </div>

        </div>

      </div> <!--fin détails-->

      
    </div> <!--fin itemscope-->
    
  </div> <!--fin content-->
</div>



  <footer class="bg-dark d-flex flex-column align-items-center justify-content-center py-5">
    <p class="text-white-50 text-center">This website is based on data from <a class="text-info" href="https://www.themoviedb.org/" aria-label="visit The Movie Database API website">The Movie Database API</a></p>
    <img src="./assets/images/themoviedbLogo.svg">
  </footer>
  
    <!-- script -->
    <script src="./node_modules/jquery/dist/jquery.slim.min.js"></script>
    <script src="./node_modules/@popperjs/core/dist/umd/popper.js"></script>
    <script src="./node_modules/bootstrap/dist/js/bootstrap.js"></script>
    <script src="./assets/js/apikey.js"></script>
    <script src="./assets/js/movies.js"></script>

</body>
</html>




